smart_pointer_nocopy< T >
Inheritance diagram for smart_pointer_nocopy< T >:

## Public Types

typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| smart_pointer_nocopy (T *p=0)
| smart_pointer_nocopy (void *count, internal i)
| smart_pointer_nocopy (const smart_pointer_nocopy< T > &x)
smart_pointer_nocopy< T > & | operator= (const smart_pointer_nocopy< T > &x)
| ~smart_pointer_nocopy ()
Public Member Functions inherited from smart_pointer_base< T, details::no_copy< T > >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, details::no_copy< T > > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, details::no_copy< T > > & | operator= (const smart_pointer_base< T, details::no_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
T * | pointer ()
const T & | data () const
T & | data ()
const T * | operator-> () const
T * | operator-> ()
const T & | operator* () const
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Detailed Description

### template<typename T>
class rheolef::smart_pointer_nocopy< T >

Definition at line 389 of file smart_pointer.h.

## Member Typedef Documentation

## handled_type

typedef T handled_type

Definition at line 393 of file smart_pointer.h.

## internal

typedef base::internal internal

Definition at line 394 of file smart_pointer.h.

## Constructor & Destructor Documentation

## smart_pointer_nocopy() [1/3]

smart_pointer_nocopy | ( | T * | p = `0` | ) |

Definition at line 395 of file smart_pointer.h.

## smart_pointer_nocopy() [2/3]

smart_pointer_nocopy | ( | void * | count,
|  | internal | i
| ) |  |

Definition at line 396 of file smart_pointer.h.

## smart_pointer_nocopy() [3/3]

smart_pointer_nocopy | ( | const smart_pointer_nocopy< T > & | x | ) |

Definition at line 397 of file smart_pointer.h.

## ~smart_pointer_nocopy()

~smart_pointer_nocopy | ( |  | ) |

Definition at line 400 of file smart_pointer.h.

## Member Function Documentation

## operator=()

smart_pointer_nocopy<T>& operator= | ( | const smart_pointer_nocopy< T > & | x | ) |

Definition at line 398 of file smart_pointer.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/util/lib/smart_pointer.h